org.fife.ui.rsyntaxtextarea.parser

## Interface Parser

All Known Implementing Classes:
  AbstractParser, TaskTagParser, XmlParser

    public interface Parser

An interface for a parser for content in an `RSyntaxTextArea`. A `Parser` returns a list of issues it finds in the text area's content, which the text area can flag (e.g. squiggle underline). It can also return descriptions of the issues, to be used in tool tips.

To install a `Parser`, simply call `RSyntaxTextArea.addParser(Parser)`.

Version:
  0.5
Author:
  Robert Futrell
See Also:
  `AbstractParser`

### Method Summary

Methods
`ExtendedHyperlinkListener` `getHyperlinkListener()` Returns the listener for hyperlink events from `FocusableTip`s, or `null` if none.
`URL` `getImageBase()` Returns the base URL for any images displayed in returned `ParserNotice` HTML text.
`boolean` `isEnabled()` Returns whether this parser is enabled.
`ParseResult` `parse(RSyntaxDocument doc, String style)` Parses input from the specified document.

### Method Detail

#### getHyperlinkListener

    ExtendedHyperlinkListener getHyperlinkListener()

Returns the listener for hyperlink events from `FocusableTip`s, or `null` if none.

Returns:
  The listener.

#### getImageBase

    URL getImageBase()

Returns the base URL for any images displayed in returned `ParserNotice` HTML text. Note that if a parser notice's text is not HTML, this URL is not used.

Returns:
  The URL. This may be `null`.

#### isEnabled

    boolean isEnabled()

Returns whether this parser is enabled. If this returns `false`, it will not be run.

Returns:
  Whether this parser is enabled.

#### parse

    ParseResult parse(RSyntaxDocument doc,
                    String style)

Parses input from the specified document.

Parameters:
  `doc` - The document to parse. This document is in a read lock, so it cannot be modified while parsing is occurring.
  `style` - The language being rendered, such as `SyntaxConstants.SYNTAX_STYLE_JAVA`.
Returns:
  An object describing the section of the document parsed and the results. This is guaranteed to be non-`null`.